Bug 253019 - graphics/pngcheck: Update to 3.0.1
Summary: graphics/pngcheck: Update to 3.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lewis Cook
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-26 13:51 UTC by Naram Qashat
Modified: 2021-01-28 13:23 UTC (History)
1 user (show)

See Also:


Attachments
pngcheck-3.0.1.patch (828 bytes, patch)
2021-01-26 13:51 UTC, Naram Qashat
cyberbotx: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Naram Qashat 2021-01-26 13:51:03 UTC
Created attachment 221934 [details]
pngcheck-3.0.1.patch

* Update to 3.0.1
* Update distinfo

Changelog: http://www.libpng.org/pub/png/src/pngcheck-3.0.1.CHANGELOG

Tested in poudriere for 11-i386, 11-amd64, 12-i386 and 12-amd64. Passes portlint.
Comment 1 commit-hook freebsd_committer 2021-01-27 10:30:18 UTC
A commit references this bug:

Author: lcook
Date: Wed Jan 27 10:29:40 UTC 2021
New revision: 563038
URL: https://svnweb.freebsd.org/changeset/ports/563038

Log:
  graphics/pngcheck: Update to 3.0.1

  Changes:		http://www.libpng.org/pub/png/src/pngcheck-3.0.1.CHANGELOG
  PR:			253019
  Submitted by:		Naram Qashat <cyberbotx@cyberbotx.com> (maintainer)
  Approved by:		fernape (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28350

Changes:
  head/graphics/pngcheck/Makefile
  head/graphics/pngcheck/distinfo
Comment 2 Lewis Cook freebsd_committer freebsd_triage 2021-01-27 10:30:53 UTC
Committed, thanks!
Comment 3 commit-hook freebsd_committer 2021-01-28 12:52:12 UTC
A commit references this bug:

Author: lcook
Date: Thu Jan 28 12:51:17 UTC 2021
New revision: 563133
URL: https://svnweb.freebsd.org/changeset/ports/563133

Log:
  security/vuxml: Document graphics/pngcheck vulnerability

  PR:			253019
  Approved by:		fernape (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28308

Changes:
  head/security/vuxml/vuln.xml
Comment 4 commit-hook freebsd_committer 2021-01-28 13:23:20 UTC
A commit references this bug:

Author: lcook
Date: Thu Jan 28 13:22:33 UTC 2021
New revision: 563135
URL: https://svnweb.freebsd.org/changeset/ports/563135

Log:
  MFH: r563038

  graphics/pngcheck: Update to 3.0.1

  PR:		253019
  Security:	13ca36b8-6141-11eb-8a36-7085c2fb2c14

Changes:
_U  branches/2021Q1/
  branches/2021Q1/graphics/pngcheck/Makefile
  branches/2021Q1/graphics/pngcheck/distinfo